<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Basic Matrix Functions</TITLE>
<link href="suifmath_33.html" rel=Next>
<link href="suifmath_31.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_31.html">previous</A>, <A HREF="suifmath_33.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC36" HREF="suifmath_toc.html#TOC36">Basic Functions</A></H3>

<P>
<A NAME="IDX518"></A>
A <CODE>matrix</CODE> object can be constructed from an <CODE>integer_matrix</CODE>
(see section <A HREF="suifmath_4.html#SEC4">Matrix Manipulation</A>), a <CODE>fract_matrix</CODE> or another
<CODE>matrix</CODE>.  A constructor is also available that takes the number of
rows and columns and creates an empty <CODE>matrix</CODE> (the elements are
initialized to 0).

</P>
<P>
<A NAME="IDX519"></A>
<A NAME="IDX520"></A>
<A NAME="IDX521"></A>
<A NAME="IDX522"></A>
<A NAME="IDX523"></A>
<A NAME="IDX524"></A>
The <CODE>m</CODE> method returns the number of rows in the matrix, and the
<CODE>n</CODE> method returns the number of columns.  The <CODE>elt</CODE> method
takes a row and a column as arguments and returns a reference to the
fraction at that position in the matrix.  The <CODE>get_row</CODE> and
<CODE>get_col</CODE> methods take an integer argument and return the
corresponding row or column, respectively.  Also, the <CODE>set_col</CODE>
takes a column number and a <CODE>fract_vector</CODE> and sets the column to
the given vector.

</P>
<P>
<A NAME="IDX525"></A>
<A NAME="IDX526"></A>
<A NAME="IDX527"></A>
Equality, inequality and assignment operators are also provided for
matrices.  The equality and inequality operators only check if the
elements of the matrices are equal, and do <EM>not</EM> compare the LU
decompositions.  The reason for this is that if the LU decomposition of
one of the matrices is out-of-date, the matrices are still considered
equal if they have the same elements.

</P>
<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_31.html">previous</A>, <A HREF="suifmath_33.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
